## org.apache.poi.ss.usermodel
Interface Textbox

    public interface Textbox

Field Summary
`static short` `OBJECT_TYPE_TEXT`

Method Summary
`int` `getMarginBottom()` Gets the bottom margin within the textbox.
`int` `getMarginLeft()`
`int` `getMarginRight()`
`int` `getMarginTop()`
`RichTextString` `getString()`
`void` `setMarginBottom(int marginBottom)` Sets the bottom margin within the textbox.
`void` `setMarginLeft(int marginLeft)` Sets the left margin within the textbox.
`void` `setMarginRight(int marginRight)` Sets the right margin within the textbox.
`void` `setMarginTop(int marginTop)` Sets the top margin within the textbox.
`void` `setString(RichTextString string)`

Field Detail

### OBJECT_TYPE_TEXT

    static final short OBJECT_TYPE_TEXT

See Also:
  Constant Field Values

Method Detail

### getString

    RichTextString getString()

  Returns:
    the rich text string for this textbox.

### setString

    void setString(RichTextString string)

  Parameters:
    `string` - Sets the rich text string used by this object.

### getMarginLeft

    int getMarginLeft()

  Returns:
    Returns the left margin within the textbox.

### setMarginLeft

    void setMarginLeft(int marginLeft)

  Sets the left margin within the textbox.

### getMarginRight

    int getMarginRight()

  Returns:
    returns the right margin within the textbox.

### setMarginRight

    void setMarginRight(int marginRight)

  Sets the right margin within the textbox.

### getMarginTop

    int getMarginTop()

  Returns:
    returns the top margin within the textbox.

### setMarginTop

    void setMarginTop(int marginTop)

  Sets the top margin within the textbox.

### getMarginBottom

    int getMarginBottom()

  Gets the bottom margin within the textbox.

### setMarginBottom

    void setMarginBottom(int marginBottom)

  Sets the bottom margin within the textbox.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.